Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class ExceptionStandin

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.util.AbstractExceptionContainer
                        |
                        +--com.bea.util.ExceptionStandin

public class ExceptionStandin
extends AbstractExceptionContainer

A proxy exception class representing a linked exception contained in another exception. Instances of this class are used to replace instances of non-public exceptions that might get delivered to a client that does not have the exception's class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `m_className`
`java.lang.String` | `m_stackTrace`

Fields inherited from class com.bea.util.AbstractExceptionContainer
`m_container`

Constructor Summary
`ExceptionStandin(java.lang.Exception e)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `toString()`

Methods inherited from class com.bea.util.AbstractExceptionContainer
`addException, containsException, getExceptions, getLinkedException, printStackTrace, removeException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_className

    public java.lang.String m_className

### m_stackTrace

    public java.lang.String m_stackTrace

Constructor Detail

### ExceptionStandin

    public ExceptionStandin(java.lang.Exception e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class AbstractExceptionContainer

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    printStackTrace in class AbstractExceptionContainer

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class AbstractExceptionContainer

### toString

    public java.lang.String toString()

  Overrides:
    toString in class AbstractExceptionContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)